aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--IDEAS.md1
-rw-r--r--VERSION4
-rw-r--r--bin/urlmt.sh16
3 files changed, 12 insertions, 9 deletions
diff --git a/IDEAS.md b/IDEAS.md
index 7622dd97..cb7e4a74 100644
--- a/IDEAS.md
+++ b/IDEAS.md
@@ -34,3 +34,4 @@ Ideas
* There's no reason to limit `digraph_search.vim` to insert mode only
* fortune.vim can be spun out into its own repository
* put\_date.vim can be spun out into its own repository
+* urlmt(1df) would be better off using `curl -w '%{content_type}'`
diff --git a/VERSION b/VERSION
index 9eb40434..52d99110 100644
--- a/VERSION
+++ b/VERSION
@@ -1,2 +1,2 @@
-tejr dotfiles v8.34.0
-Mon, 11 May 2020 11:49:11 +0000
+tejr dotfiles v8.35.0
+Tue, 12 May 2020 03:01:11 +0000
diff --git a/bin/urlmt.sh b/bin/urlmt.sh
index cd71b0fd..69bef5f7 100644
--- a/bin/urlmt.sh
+++ b/bin/urlmt.sh
@@ -1,8 +1,10 @@
# Get the MIME type for a given URL
-urlh "$1" Content-Type |
-
-# Use last line only, remove any charset suffix
-sed '
-$!d
-s/;.*//
-'
+self=urlmt
+if [ "$#" -ne 1 ] || [ -z "$1" ] ; then
+ printf >&2 '%s: Need a single URL\n' \
+ "$self"
+ exit 2
+fi
+url=$1
+curl --head --output /dev/null --write-out '%{content_type}\n' "$url" |
+ awk -F\; '{print $1}'